package omq.ztest.farm;

import omq.Remote;
import omq.client.annotation.AsyncMethod;
import omq.client.annotation.RemoteInterface;
import omq.client.annotation.SyncMethod;

@RemoteInterface
public interface Farm extends Remote {
	
	@AsyncMethod
	public void setPig(Pig pig);
	
	@AsyncMethod
	public void setCow(Cow cow);

	@SyncMethod(timeout = 1500)
	public Cow getCow();
	
	@SyncMethod(timeout = 1500)
	public Pig getPig();

}
